using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;


using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;



public class GameClass : Microsoft.Xna.Framework.Game
{
    public static GraphicsDeviceManager graphics;
    
    GameDraw    gameDraw;
    XRender     xRender = null;
    stXData     xData   = null;
    
    
    public GameClass()
    {
        graphics = new GraphicsDeviceManager(this);
        Content.RootDirectory = "Content";
    }

    protected override void LoadContent()
    {
        gameDraw = new GameDraw(graphics);
        
        xRender = new XRender(ref gameDraw);
       
        xData = new stXData();
        stMyXParser xloader = new stMyXParser();
        xloader.Start("xwarrior.x", xData); 
        
        xData.m_materialManager.LoadTextures(Content, "");
    }

    protected override void Draw(GameTime gameTime)
    {
        graphics.GraphicsDevice.Clear(Color.White);
        gameDraw.Begin();
        xRender.Update(ref xData);
        xRender.Render(xData);
        gameDraw.End();
        base.Draw(gameTime);
    }
}



class Program
{
    static void Main(string[] args)
    {
        using (GameClass game = new GameClass())
        {
            game.Run();
        }
    }
}

